Bug 1130763 - Pacemaker OCF volume Resource Agent fails when bricks are in different domain to the system hostname.
Summary: Pacemaker OCF volume Resource Agent fails when bricks are in different domain...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: scripts
Version: 3.5.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1147252
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 12:55 UTC by Steven Hale
Modified: 2016-06-17 15:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1147252 (view as bug list)
Environment:
Last Closed: 2016-06-17 15:57:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Bugfix for glusterfs-resource-agents.noarch (776 bytes, patch)
2014-08-17 12:55 UTC, Steven Hale
no flags Details | Diff

Description Steven Hale 2014-08-17 12:55:16 UTC
Created attachment 927478 [details]
Bugfix for glusterfs-resource-agents.noarch

Description of problem:

I'm setting up a four-node cluster using PCS/Pacemaker/Corosync on CentOS7.  I have installed glusterfs-resource-agents.noarch 0:3.5.2-1.el7 from the main GlusterFS yum repository.

As is common when setting up a cluster, I am using a storage network separate from the back channel network.  I have added entries to my local nameserver to reflect these networks.  The hostnames are as follows:

node?.bcn
node?.sn

When trying to start a volume using the "/usr/lib/ocf/resource.d/glusterfs/volume" resource, the volume fails to start because the script does not recognise that the bricks are in a different domain to the system hostname.

I have fixed this bug and will attach a patch file to this report.  The fix simply involves editing a regular expression and a file path.

I also had to update the volume path to reflect that volume information is now stored in /var/lib/ rather than /etc.

Version-Release number of selected component (if applicable):

glusterfs-resource-agents.noarch 0:3.5.2-1.el7

How reproducible:

Always

Steps to Reproduce:
1. Create a GlusterFS volume where the bricks are in a different domain to the central system hostname.
2. Try to start the volume using the OCF volume resource agent for Pacemaker.

Actual results:

The volume does not start.  The script always thinks the volume is already running.

Expected results:

The volume should start normally.

Additional info:

Patchfile attached.

Comment 1 Niels de Vos 2014-09-28 12:58:52 UTC
Bug 1147252 has been filed to get the change in the master branch. When that has been done it can get backported to release-3.5:
- http://www.gluster.org/community/documentation/index.php/Backport_Guidelines

Comment 2 Niels de Vos 2016-06-17 15:57:47 UTC
This bug is getting closed because the 3.5 is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.